Loading...
Searching...
No Matches
pp-h265.h File Reference
Tools and utilities » Recordings post-processing utility

Post-processing to generate .mp4 files out of H.265 frames (headers). More...

`#include <stdio.h>`
`#include <jansson.h>`
`#include "pp-rtp.h"`
Include dependency graph for pp-h265.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

const char ** | janus_pp_h265_get_extensions (void)
int | janus_pp_h265_create (char *destination, char *metadata, gboolean faststart, const char *extension)
int | janus_pp_h265_preprocess (FILE *file, janus_pp_frame_packet *list, json_t *info)
int | janus_pp_h265_process (FILE *file, janus_pp_frame_packet *list, int *working)
void | janus_pp_h265_close (void)

## Detailed Description

Post-processing to generate .mp4 files out of H.265 frames (headers).

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

Implementation of the post-processing code (based on FFmpeg) needed to generate .mp4 files out of H.265 RTP frames.

Recordings post-processing utility

## Function Documentation

## janus_pp_h265_close()

void janus_pp_h265_close | ( | void |  | ) |

## janus_pp_h265_create()

int janus_pp_h265_create | ( | char * | destination,
|  | char * | metadata,
|  | gboolean | faststart,
|  | const char * | extension )

## janus_pp_h265_get_extensions()

const char ** janus_pp_h265_get_extensions | ( | void |  | ) |

## janus_pp_h265_preprocess()

int janus_pp_h265_preprocess | ( | FILE * | file,
|  | janus_pp_frame_packet * | list,
|  | json_t * | info )

## janus_pp_h265_process()

int janus_pp_h265_process | ( | FILE * | file,
|  | janus_pp_frame_packet * | list,
|  | int * | working )